'''
Script modified from code written by Qixin He at the University of Michigan (present address: University of Chicago), posted with permission.
'''

#get variable from ABCsampler
#print "hello!"
import sys,os
#print "iteration " + sys.argv[2]
#K=int(10**float(sys.argv[1]))
import numpy as np
dir = os.getcwd()
transtable=np.loadtxt(dir + "/transtable",int)
veg2K_cur = open(dir + "/veg2K_cur.txt","w")
veg2K_LGM=open(dir + "/veg2K_LGM.txt","w")
veg2K_int=open(dir + "/veg2K_int.txt","w")
# next two lines below are old exampels from Qixin
#class2KvariableDict = {1:'k_1', 1.5:'k_1-5', 2:'k_2', 2.5:'k_2-5', 3:'k_3', 3.5:'k_3-5', 4:'k_4', 4.5:'k_4-5', 5:'k_5', 5.5:'k_5-5', 6:'k_6', 6.5:'k_6-5', 7:'k_7', 7.5:'k_7-5', 8:'k_8', 8.5:'k_8-5'}#dictionary of translating suitability to carrying capacity variables
#print class2KvariableDict
# now for the real thing
class2KvariableDict = {} #dictionary of translating suitability to carrying capacity variables
for i in range(22):
	i_varname = 'k_' + str(i)
	class2KvariableDict[i] = i_varname
	iandahalf_varname = 'k_' + str(i) + '-5'
	class2KvariableDict[i + 0.5] = iandahalf_varname
	# don't actually need 0, 0.5, or 21.5 in our implementation, but won't hurt to have these in there
#print class2KvariableDict
for line in transtable:
	(ID,lgm,current)=line[:3]
	intm=(lgm+current)/2.
	veg2K_LGM.write("%d\t%s\t%d\n"%(ID,class2KvariableDict[lgm],ID))
	veg2K_int.write("%d\t%s\t%d\n"%(ID,class2KvariableDict[intm],ID))
	veg2K_cur.write("%d\t%s\t%d\n"%(ID,class2KvariableDict[current],ID))
veg2K_LGM.close()
veg2K_int.close()
veg2K_cur.close()
